% FEMLAB Model M-file
% Generated 20-Mar-2000 16:12:09 by FEMLAB 1.1.0.302.

% FEMLAB Version
clear vrsn;
vrsn.name='FEMLAB 1.1';
vrsn.major=0;
vrsn.build=302;
fem.version=vrsn;

% Space dimensions
fem.sdim={'x','y'};

% Geometry
clear s c p objs names
R1=rect2(0, 0.02, 0, 0.0060000000000000001, 0);
objs={R1}; 
names={'R1'}; 
s.objs=objs;
s.name=names;

clear objs names
objs={}; 
names={}; 
c.objs=objs;
c.name=names;

clear objs names
objs={}; 
names={}; 
p.objs=objs;
p.name=names;

drawstruct=struct('s',s,'c',c,'p',p);
fem.draw=drawstruct;
fem.geom=geomcsg(fem);

% Recorded command sequence

clear appl

% Application mode 1
appl{1}.mode='flpdens(''dim'',{''u'',''v'',''p''},''submode'',''std'',''tdiff'',''on'')'; 
appl{1}.name='ns'; 
appl{1}.dim={'u','v','p'}; 
appl{1}.border='off'; 
appl{1}.usage=1;
appl{1}.var={}; 
appl{1}.form='general'; 
appl{1}.assign={'Fx';'Fx_ns';'Fy';'Fy_ns';'Kx';'Kx_ns';'Ky';'Ky_ns';'U';'U_ns'; ...
'V';'V_ns';'eta';'eta_ns';'rho';'rho_ns'}; 
appl{1}.equ.rho5{'rho'}; 
appl{1}.equ.eta={'miu'}; 
appl{1}.equ.Fx={'0'}; 
appl{1}.equ.Fy={'0'}; 
appl{1}.equ.ind=1;
appl{1}.bnd.u={'vo','0','0','0'}; 
appl{1}.bnd.v={'0','0','0','0'}; 
appl{1}.bnd.p={'0','0','0','0'}; 
appl{1}.bnd.type={'uv','noslip','slip','out'}; 
appl{1}.bnd.ind=1:1:4;
appl{1}.init.sd={{'0','0','0'}}; 
appl{1}.init.ind=1;

% Application mode 2
appl{2}.mode='flpdeg2d(1,''dim'',{''c1'',''c1_t''},''submode'',''std'',''tdiff'',''on'')'; 
appl{2}.name='massbal'; 
appl{2}.dim={'c1','c1_t'}; 
appl{2}.border='off'; 
appl{2}.usage=1;
appl{2}.var={}; 
appl{2}.form='general'; 
appl{2}.assign={'absc1x';'absc1x_massbal';'abscu4x';'abscu4x_massbal';'absga4x'; ...
'absga4x_massbal'}; 
appl{2}.equ.da={{{'0'}}}; 
appl{2}.equ.ga={{{'-D1.*c1x+c1.*u';'-D1.*c1y+c1.*v'}}}; 
appl{2}.equ.f={{{'0'}}}; 
appl{2}.equ.ind=1;
appl{2}.bnd.g={{{'0'}},{{'flux'}},{{'-c1.*u'}}}; 
appl{2}.bnd.r={{{'-c1+c1o'}},{{'0'}},{{'0'}}}; 
appl{2}.bnd.type={'dir','dir','dir'}; 
appl{2}.bnd.ind=[1 2 1 3];
appl{2}.init.sd={{'0'}}; 
appl{2}.init.ind=1;

fem.appl=appl;

% Initialize mesh
fem.mesh=meshinit(fem,...
	'Out',    {'mesh'},...
	'jiggle', 'mean',...
	'Hcurve', 0.33333333333333331,...
	'Hgrad',  1.3);

% Initialize mesh
fem.mesh=meshinit(fem,...
	'Out',    {'mesh'},...
	'jiggle', 'mean',...
	'Hcurve', 0.33333000000000002,...
	'Hgrad',  1.3,...
	'Hmax',   {[],zeros(1,0),[2 5.0000000000000002e-005],zeros(1,0)},...
	'Hnum',   {[],zeros(1,0)},...
	'Hpnt',   {[],zeros(1,0)});

% Initialize mesh
fem.mesh=meshinit(fem,...
	'Out',    {'mesh'},...
	'jiggle', 'mean',...
	'Hcurve', 0.33333000000000002,...
	'Hgrad',  1.3,...
	'Hmax',   {[],zeros(1,0),[2 0.00020000000000000001],zeros(1,0)},...
	'Hnum',   {[],zeros(1,0)},...
	'Hpnt',   {[],zeros(1,0)});

% Refine mesh
fem.mesh=meshrefine(fem,...
	'out',    {'mesh'},...
	'rmethod','regular');

% Dimension
fem.dim={{'u'},{'v'},{'p'},{'c1'}};

% Boundary conditions
fem.border=zeros(1,4);

% Usage
fem.usage=ones(4,1);

% Problem form
fem.form='general';

% Define variables
fem.variables={...
	'D1',     1.0000000000000001e-009,...
	'vo',     0.01,...
	'flux',   0.051820452496191195,...
	'rho',    1000,...
	'miu',    0.001,...
	'c1o',    0};

% Define application mode variables
fem.var={};

% Boundary conditions
clear bnd
bnd.ind=1:1:4; 
bnd.g={{{'0'};{'0'};{'0'};{'0'}},{{'0'};{'0'};{'0'};{'flux'}},{{'0'};{'0'}; ...
{'0'};{'0'}},{{'0'};{'0'};{'0'};{'-c1.*u'}}}; 
bnd.q={{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'}, ...
{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'-((-c1))'},{'0'},{'0'}, ...
{'-((-1).*u)'}}}; 
bnd.r={{{'(vo)-u'};{'(0)-v'};{'0'};{'-c1+c1o'}},{{'-u'};{'-v'};{'0'};{'0'}}, ...
{{'-u.*nx-v.*ny'};{'0'};{'0'};{'-c1+c1o'}},{{'0'};{'0'};{'(0)-p'};{'0'}}}; 
bnd.h={{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'1'}},{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'-((-1).*nx)'},{'-(-(ny))'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'1'}}, ...
{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'1'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'}}}; 
bnd.var={'Kx_ns','-nga1','Ky_ns','-nga2'}; 
fem.bnd=bnd;

% PDE coefficients
clear equ
equ.ind=1; 
equ.da={{{'rho'},{'0'},{'0'},{'0'};{'0'},{'rho'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'}}}; 
equ.ga={{{'-((miu).*ux)';'-((miu).*uy)'};{'-((miu).*vx)';'-((miu).*vy)'};{'0'; ...
'0'};{'-D1.*c1x+c1.*u';'-D1.*c1y+c1.*v'}}}; 
equ.c={{{'-(-(miu))','0';'0','-(-(miu))'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'0','0';'0','0'};{'0','0';'0','0'},{'-(-(miu))','0';'0','-(-(miu))'},{'0','0'; ...
'0','0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0', ...
'0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'-((-D1))','0';'0','-((-D1))'}}}; 
equ.al={{{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'}, ...
{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'-(c1)';'0'},{'0';'-(c1)'}, ...
{'0';'0'},{'-(u)';'-(v)'}}}; 
equ.f={{{'(0)-((rho).*(u.*ux+v.*uy)+px)'};{'(0)-((rho).*(u.*vx+v.*vy)+py)'}; ...
{'-(ux+vy)'};{'0'}}}; 
equ.be={{{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'0'},{'1';'0'},{'0';'0'};{'0'; ...
'0'},{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'1'},{'0';'0'};{'1';'0'},{'0'; ...
'1'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'}}}; 
equ.a={{{'-(-(rho.*(ux)))'},{'-(-(rho.*(uy)))'},{'0'},{'0'};{'-(-(rho.*(vx)))'}, ...
{'-(-(rho.*(vy)))'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'}}}; 
equ.var={'U_ns','sqrt(u.^2+v.^2)','V_ns','vx-uy','rho_ns',{'rho'},'eta_ns', ...
{'miu'},'Fx_ns',{'0'},'Fy_ns',{'0'},'absc1x','sqrt(c1x.^2+c1y.^2)', ...
'absga4x_massbal','sqrt(ga4x.^2+ga4y.^2)'}; 
fem.equ=equ;

% Evaluate initial condition
fem.init=asseminit(fem,...
	'context','local',...
	'init',   struct('sd',{{{{'0'};{'0'};{'0'};{'0'}}}},'ind',{1}));

% Solve nonlinear problem

% Save current mesh
restart.mesh=fem.mesh; 

% Plot solution

% Dimension
fem.dim={{'u'},{'v'},{'p'},{'c1'}};

% Boundary conditions
fem.border=zeros(1,4);

% Usage
fem.usage=ones(4,1);

% Problem form
fem.form='general';

% Define variables
fem.variables={...
	'D1',     5.0000000000000001e-009,...
	'vo',     0.01,...
	'flux',   0.051820452496191195,...
	'rho',    1000,...
	'miu',    0.001,...
	'c1o',    0};

% Define application mode variables
fem.var={};

% Boundary conditions
clear bnd
bnd.ind=1:1:4; 
bnd.g={{{'0'};{'0'};{'0'};{'0'}},{{'0'};{'0'};{'0'};{'flux'}},{{'0'};{'0'}; ...
{'0'};{'0'}},{{'0'};{'0'};{'0'};{'-c1.*u'}}}; 
bnd.q={{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'}, ...
{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'-((-c1))'},{'0'},{'0'}, ...
{'-((-1).*u)'}}}; 
bnd.r={{{'(vo)-u'};{'(0)-v'};{'0'};{'-c1+c1o'}},{{'-u'};{'-v'};{'0'};{'0'}}, ...
{{'-u.*nx-v.*ny'};{'0'};{'0'};{'-c1+c1o'}},{{'0'};{'0'};{'(0)-p'};{'0'}}}; 
bnd.h={{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'1'}},{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'-((-1).*nx)'},{'-(-(ny))'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'1'}}, ...
{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'1'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'}}}; 
bnd.var={'Kx_ns','-nga1','Ky_ns','-nga2'}; 
fem.bnd=bnd;

% PDE coefficients
clear equ
equ.ind=1; 
equ.da={{{'rho'},{'0'},{'0'},{'0'};{'0'},{'rho'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'}}}; 
equ.ga={{{'-((miu).*ux)';'-((miu).*uy)'};{'-((miu).*vx)';'-((miu).*vy)'};{'0'; ...
'0'};{'-D1.*c1x+c1.*u';'-D1.*c1y+c1.*v'}}}; 
equ.c={{{'-(-(miu))','0';'0','-(-(miu))'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'0','0';'0','0'};{'0','0';'0','0'},{'-(-(miu))','0';'0','-(-(miu))'},{'0','0'; ...
'0','0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0', ...
'0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'-((-D1))','0';'0','-((-D1))'}}}; 
equ.al={{{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'}, ...
{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'-(c1)';'0'},{'0';'-(c1)'}, ...
{'0';'0'},{'-(u)';'-(v)'}}}; 
equ.f={{{'(0)-((rho).*(u.*ux+v.*uy)+px)'};{'(0)-((rho).*(u.*vx+v.*vy)+py)'}; ...
{'-(ux+vy)'};{'0'}}}; 
equ.be={{{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'0'},{'1';'0'},{'0';'0'};{'0'; ...
'0'},{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'1'},{'0';'0'};{'1';'0'},{'0'; ...
'1'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'}}}; 
equ.a={{{'-(-(rho.*(ux)))'},{'-(-(rho.*(uy)))'},{'0'},{'0'};{'-(-(rho.*(vx)))'}, ...
{'-(-(rho.*(vy)))'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'}}}; 
equ.var={'U_ns','sqrt(u.^2+v.^2)','V_ns','vx-uy','rho_ns',{'rho'},'eta_ns', ...
{'miu'},'Fx_ns',{'0'},'Fy_ns',{'0'},'absc1x','sqrt(c1x.^2+c1y.^2)', ...
'absga4x_massbal','sqrt(ga4x.^2+ga4y.^2)'}; 
fem.equ=equ;

% Evaluate initial condition
fem.init=asseminit(fem,...
	'context','local',...
	'init',   struct('sd',{{{{'0'};{'0'};{'0'};{'0'}}}},'ind',{1}));

% Solve nonlinear problem

% Save current mesh
restart.mesh=fem.mesh; 


% Get initial solution
restart.u=femuget(fem,1,1:1:4,restart.mesh); 

% Dimension
fem.dim={{'u'},{'v'},{'p'},{'c1'}};

% Boundary conditions
fem.border=zeros(1,4);

% Usage
fem.usage=ones(4,1);

% Problem form
fem.form='general';

% Differentiation
fem.diff={'ga','g','f','r'};

% Define variables
fem.variables={...
	'D1',     5.0000000000000001e-009,...
	'vo',     0.01,...
	'flux',   0.051820452496191195,...
	'rho',    1000,...
	'miu',    0.001,...
	'c1o',    0};

% Define application mode variables
fem.var={};

% Boundary conditions
clear bnd
bnd.q={{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'}, ...
{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'-((-c1))'},{'0'},{'0'}, ...
{'-((-1).*u)'}}}; 
bnd.g={{{'0'};{'0'};{'0'};{'0'}},{{'0'};{'0'};{'0'};{'flux'}},{{'0'};{'0'}; ...
{'0'};{'0'}},{{'0'};{'0'};{'0'};{'-c1.*u'}}}; 
bnd.h={{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}; ...
{'0'},{'0'},{'0'},{'1'}},{{'1'},{'0'},{'0'},{'0'};{'0'},{'1'},{'0'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'}},{{'-((-1).*nx)'},{'-(-(ny))'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'1'}}, ...
{{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'1'},{'0'};{'0'}, ...
{'0'},{'0'},{'0'}}}; 
bnd.r={{{'(vo)-u'};{'(0)-v'};{'0'};{'-c1+c1o'}},{{'-u'};{'-v'};{'0'};{'0'}}, ...
{{'-u.*nx-v.*ny'};{'0'};{'0'};{'-c1+c1o'}},{{'0'};{'0'};{'(0)-p'};{'0'}}}; 
bnd.var={'Kx_ns','-nga1','Ky_ns','-nga2'}; 
bnd.ind=1:1:4; 
fem.bnd=bnd;

% PDE coefficients
clear equ
equ.da={{{'rho'},{'0'},{'0'},{'0'};{'0'},{'rho'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'};{'0'},{'0'},{'0'},{'0'}}}; 
equ.c={{{'-(-(miu))','0';'0','-(-(miu))'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'0','0';'0','0'};{'0','0';'0','0'},{'-(-(miu))','0';'0','-(-(miu))'},{'0','0'; ...
'0','0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0', ...
'0'},{'0','0';'0','0'};{'0','0';'0','0'},{'0','0';'0','0'},{'0','0';'0','0'}, ...
{'-((-D1))','0';'0','-((-D1))'}}}; 
equ.al={{{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'}, ...
{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'};{'-(c1)';'0'},{'0';'-(c1)'}, ...
{'0';'0'},{'-(u)';'-(v)'}}}; 
equ.ga={{{'-((miu).*ux)';'-((miu).*uy)'};{'-((miu).*vx)';'-((miu).*vy)'};{'0'; ...
'0'};{'-D1.*c1x+c1.*u';'-D1.*c1y+c1.*v'}}}; 
equ.be={{{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'0'},{'1';'0'},{'0';'0'};{'0'; ...
'0'},{'-(-(rho.*(u)))';'-(-(rho.*(v)))'},{'0';'1'},{'0';'0'};{'1';'0'},{'0'; ...
'1'},{'0';'0'},{'0';'0'};{'0';'0'},{'0';'0'},{'0';'0'},{'0';'0'}}}; 
equ.a={{{'-(-(rho.*(ux)))'},{'-(-(rho.*(uy)))'},{'0'},{'0'};{'-(-(rho.*(vx)))'}, ...
{'-(-(rho.*(vy)))'},{'0'},{'0'};{'0'},{'0'},{'0'},{'0'};{'0'},{'0'},{'0'}, ...
{'0'}}}; 
equ.f={{{'(0)-((rho).*(u.*ux+v.*uy)+px)'};{'(0)-((rho).*(u.*vx+v.*vy)+py)'}; ...
{'-(ux+vy)'};{'0'}}}; 
equ.var={'U_ns','sqrt(u.^2+v.^2)','V_ns','vx-uy','rho_ns',{'rho'},'eta_ns', ...
{'miu'},'Fx_ns',{'0'},'Fy_ns',{'0'},'absc1x','sqrt(c1x.^2+c1y.^2)', ...
'absga4x_massbal','sqrt(ga4x.^2+ga4y.^2)'}; 
equ.ind=1; 
fem.equ=equ;

% Evaluate initial condition
fem.init=asseminit(fem,...
	'context','local',...
	'init',   struct('sd',{{{{'u'};{'v'};{'p'};{'c1'}}}},'ind',{1}),...
	'u',      restart.u);

% Solve nonlinear problem
fem.sol=femnlin(fem,...
	'method', 'eliminate',...
	'maxiter',25,...
	'minstep',1.52587890625e-005,...
	'jacobian','equ',...
	'toln',   {Inf,1e-008},...
	'normn',  'lpdnorm',...
	'out',    {'sol','stop','steps'},...
	'stop',   'on',...
	'report', 'on',...
	'context','local',...
	'sd',     'off',...
	'Epoint', 'gauss2',...
	'Tpoint', 'gauss2',...
	'Solcomp',1:1:4);

% Save current mesh
restart.mesh=fem.mesh; 



% Plot solution
postplot(fem,...
	'context','local',...
	'tridata',{'c1','cont','on'},...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'triz',   {'U_ns','cont','on'},...
	'title',  'Surface: c1 (c1)  Height: velocity field (U_ns)  ',...
	'renderer','zbuffer',...
	'solnum', 1)



% Plot solution
postplot(fem,...
	'context','local',...
	'tridata',{'U_ns','cont','on'},...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'triz',   {'c1','cont','on'},...
	'title',  'Surface: velocity field (U_ns)  Height: c1 (c1)  ',...
	'renderer','zbuffer',...
	'solnum', 1)
