% FEMLAB Model M-file
% Generated 15-Mar-2000 14:25:34 by FEMLAB 1.1.0.302.

% FEMLAB Version
clear vrsn;
vrsn.name='FEMLAB 1.1';
vrsn.major=0;
vrsn.build=302;
fem.version=vrsn;

% Space dimensions
fem.sdim={'x','y'};

% Geometry
clear s c p objs names
p=[-0.40000000000000002 -0.40000000000000002 -0.21000000000000002  ...
-0.21000000000000002 -0.21000000000000002 -0.20000000000000001  ...
-0.20000000000000001 -0.19 -0.19 -0.19 -0.01 -0.01 -0.01 0 0 0.01 0.01 0.01  ...
0.19 0.19 0.19 0.20000000000000001 0.20000000000000001 0.21000000000000002  ...
0.21000000000000002 0.21000000000000002 0.40000000000000002 0.40000000000000002; ...
-1 1 -0.01 0 0.01 -0.01 0.01 -0.01 0 0.01 -0.01 0 0.01 -0.01 0.01 -0.01 0 0.01  ...
-0.01 0 0.01 -0.01 0.01 -0.01 0 0.01 -1 1] ;
rb={[1 2 4 6 7 9 12 14 15 17 20 22 23 25 27 28],[1 1 2 27;2 27 28 28],[4 4 6 7 12  ...
12 14 15 20 20 22 23;3 5 8 10 11 13 16 18 19 21 24 26;6 7 9 9 14 15 17 17 22 23  ...
25 25],zeros(4,0)} ;
wt={zeros(1,0),ones(2,4),[1 1 1 1 1 1 1 1 1 1 1 1;0.70710678118654746  ...
0.70710678118654746 0.70710678118654746 0.70710678118654746 0.70710678118654746  ...
0.70710678118654746 0.70710678118654746 0.70710678118654746 0.70710678118654746  ...
0.70710678118654746 0.70710678118654746 0.70710678118654746;1 1 1 1 1 1 1 1 1 1  ...
1 1],zeros(4,0)} ;
lr={[NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN NaN],[0 1 0 1;1 0  ...
1 0],[0 1 0 1 0 1 0 1 0 1 0 1;1 0 1 0 1 0 1 0 1 0 1 0],zeros(2,0)} ;
CO1=solid2(p, rb, wt, lr);
objs={CO1}; 
names={'CO1'}; 
s.objs=objs;
s.name=names;

clear objs names
objs={}; 
names={}; 
c.objs=objs;
c.name=names;

clear objs names
objs={}; 
names={}; 
p.objs=objs;
p.name=names;

drawstruct=struct('s',s,'c',c,'p',p);
fem.draw=drawstruct;
fem.geom=geomcsg(fem);

% Recorded command sequence

clear appl

% Application mode 1
appl{1}.mode='flpdees(''dim'',{''V''},''submode'',''std'',''tdiff'',''on'')'; 
appl{1}.dim={'V'}; 
appl{1}.form='coefficient'; 
appl{1}.usage=1;
appl{1}.border='off'; 
appl{1}.name='es'; 
appl{1}.var={}; 
appl{1}.assign={'D';'D';'Dx';'Dx';'Dy';'Dy';'E';'E';'Ex';'Ex';'Ey';'Ey';'P';'P'; ...
'Px';'Px';'Py';'Py';'nD';'nD';'rho';'rho'}; 
appl{1}.equ.epsilon={{{'1.0'}}}; 
appl{1}.equ.rho={'0'}; 
appl{1}.equ.Px={'0'}; 
appl{1}.equ.Py={'0'}; 
appl{1}.equ.ind=1;
appl{1}.bnd.nD={'0','0','0'}; 
appl{1}.bnd.V={'0','100','0'}; 
appl{1}.bnd.type={'nD0','V','V0'}; 
appl{1}.bnd.ind=[1 2 2 1 3 3 3 3 3 3 3 3 3 3 3 3];
appl{1}.init.sd={{'0'}}; 
appl{1}.init.ind=1;

fem.appl=appl;

% Initialize mesh
fem.mesh=meshinit(fem,...
	'Out',    {'mesh'},...
	'jiggle', 'mean',...
	'Hcurve', 0.33333333333333331,...
	'Hgrad',  1.3);

% Dimension
fem.dim={{'V'}};

% Boundary conditions
fem.border=0;

% Usage
fem.usage=1;

% Problem form
fem.form='coefficient';

% Differentiation
fem.diff='off';

% Define variables
fem.variables={};

% Define application mode variables
fem.var={};

% Boundary conditions
clear bnd
bnd.q={{{'0'}},{{'0'}},{{'0'}}}; 
bnd.g={{{'0'}},{{'0'}},{{'0'}}}; 
bnd.h={{{'0'}},{{'1'}},{{'1'}}}; 
bnd.r={{{'0'}},{{'100'}},{{'0'}}}; 
bnd.var={'nD','-ncu1+nga1'}; 
bnd.ind=[1 2 2 1 3 3 3 3 3 3 3 3 3 3 3 3]; 
fem.bnd=bnd;

% PDE coefficients
clear equ
equ.da={{{'0'}}}; 
equ.c={{{'1.0'}}}; 
equ.al={{{'0';'0'}}}; 
equ.ga={{{'0';'0'}}}; 
equ.be={{{'0';'0'}}}; 
equ.a={{{'0'}}}; 
equ.f={{{'0'}}}; 
equ.var={'rho',{'0'},'Px',{'0'},'Py',{'0'},'P','sqrt(Px.^2+Py.^2)','Ex','-Vx', ...
'Ey','-Vy','E','sqrt(Vx.^2+Vy.^2)','Dx','-cu1x+ga1x','Dy','-cu1y+ga1y','D', ...
'sqrt((-cu1x+ga1x).^2+(-cu1y+ga1y).^2)'}; 
equ.ind=1; 
fem.equ=equ;

% Evaluate initial condition
fem.init=asseminit(fem,...
	'context','local',...
	'init',   struct('sd',{{{{'0'}}}},'ind',{1}));

% Solve problem with adaptive refinement
fem=adaption(fem,...
	'method', 'eliminate',...
	'nonlin', 'off',...
	'maxt',   3504,...
	'ngen',   10,...
	'tpfun',  'fltpft',...
	'tppar',  1.7,...
	'eefun',  'fleelfun',...
	'eepar',  struct('equ',{struct('f',{1})}),...
	'rmethod','longest',...
	'maxiter',25,...
	'minstep',1.52587890625e-005,...
	'jacobian','equ',...
	'mesh',   fem.mesh,...
	'toln',   {Inf,0.0001},...
	'normn',  'lpdnorm',...
	'out',    {'fem','stop','steps'},...
	'stop',   'on',...
	'report', 'on',...
	'context','local',...
	'sd',     'off',...
	'Epoint', 'gauss2',...
	'Tpoint', 'gauss2',...
	'Solcomp',1);

% Save current mesh
restart.mesh=fem.mesh; 

% Plot solution
postplot(fem,...
	'context','local',...
	'tridata','V',...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'geom',   'on',...
	'geomcol','bginv',...
	'title',  'Surface: electric potential (V)  ',...
	'renderer','zbuffer',...
	'solnum', 1)

% Plot solution
postplot(fem,...
	'context','local',...
	'tridata','V',...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'flowdata',{{'Ex','cont','on'},{'Ey','cont','on'}},...
	'flowcolor','cycle',...
	'flowlines',40,...
	'flowback','on',...
	'flownormal','off',...
	'flowquiet','on',...
	'flowstart','centers',...
	'geom',   'on',...
	'geomcol','bginv',...
	'title',  'Surface: electric potential (V)  Flow: [electric field (Ex),electric field (Ey)]  ',...
	'renderer','zbuffer',...
	'solnum', 1)

% Plot solution
postplot(fem,...
	'context','local',...
	'tridata','V',...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'flowdata',{{'Ex','cont','on'},{'Ey','cont','on'}},...
	'flowcolor','cycle',...
	'flowlines',40,...
	'flowback','on',...
	'flownormal','off',...
	'flowquiet','on',...
	'flowstart','centers',...
	'geom',   'on',...
	'geomcol','bginv',...
	'title',  'Surface: electric potential (V)  Flow: [electric field (Ex),electric field (Ey)]  ',...
	'renderer','zbuffer',...
	'solnum', 1)

% Initialize mesh
fem.mesh=meshinit(fem,...
	'Out',    {'mesh'},...
	'jiggle', 'mean',...
	'Hcurve', 0.33333333333333331,...
	'Hgrad',  1.3);

% Dimension
fem.dim={{'V'}};

% Boundary conditions
fem.border=0;

% Usage
fem.usage=1;

% Problem form
fem.form='coefficient';

% Differentiation
fem.diff='off';

% Define variables
fem.variables={};

% Define application mode variables
fem.var={};

% Boundary conditions
clear bnd
bnd.q={{{'0'}},{{'0'}},{{'0'}}}; 
bnd.g={{{'0'}},{{'0'}},{{'0'}}}; 
bnd.h={{{'0'}},{{'1'}},{{'1'}}}; 
bnd.r={{{'0'}},{{'100'}},{{'0'}}}; 
bnd.var={'nD','-ncu1+nga1'}; 
bnd.ind=[1 2 2 1 3 3 3 3 3 3 3 3 3 3 3 3]; 
fem.bnd=bnd;

% PDE coefficients
clear equ
equ.da={{{'0'}}}; 
equ.c={{{'1.0'}}}; 
equ.al={{{'0';'0'}}}; 
equ.ga={{{'0';'0'}}}; 
equ.be={{{'0';'0'}}}; 
equ.a={{{'0'}}}; 
equ.f={{{'0'}}}; 
equ.var={'rho',{'0'},'Px',{'0'},'Py',{'0'},'P','sqrt(Px.^2+Py.^2)','Ex','-Vx', ...
'Ey','-Vy','E','sqrt(Vx.^2+Vy.^2)','Dx','-cu1x+ga1x','Dy','-cu1y+ga1y','D', ...
'sqrt((-cu1x+ga1x).^2+(-cu1y+ga1y).^2)'}; 
equ.ind=1; 
fem.equ=equ;

% Evaluate initial condition
fem.init=asseminit(fem,...
	'context','local',...
	'init',   struct('sd',{{{{'0'}}}},'ind',{1}));

% Solve problem with adaptive refinement
fem=adaption(fem,...
	'method', 'eliminate',...
	'nonlin', 'off',...
	'maxt',   3504,...
	'ngen',   10,...
	'tpfun',  'fltpft',...
	'tppar',  1.7,...
	'eefun',  'fleelfun',...
	'eepar',  struct('equ',{struct('f',{1})}),...
	'rmethod','longest',...
	'maxiter',25,...
	'minstep',1.52587890625e-005,...
	'jacobian','equ',...
	'mesh',   fem.mesh,...
	'toln',   {Inf,0.0001},...
	'normn',  'lpdnorm',...
	'out',    {'fem','stop','steps'},...
	'stop',   'on',...
	'report', 'on',...
	'context','local',...
	'sd',     'off',...
	'Epoint', 'gauss2',...
	'Tpoint', 'gauss2',...
	'Solcomp',1);

% Save current mesh
restart.mesh=fem.mesh; 

% Plot solution
postplot(fem,...
	'context','local',...
	'tridata','V',...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'flowdata',{{'Ex','cont','on'},{'Ey','cont','on'}},...
	'flowcolor','cycle',...
	'flowlines',40,...
	'flowback','on',...
	'flownormal','off',...
	'flowquiet','on',...
	'flowstart','centers',...
	'geom',   'on',...
	'geomcol','bginv',...
	'title',  'Surface: electric potential (V)  Flow: [electric field (Ex),electric field (Ey)]  ',...
	'renderer','zbuffer',...
	'solnum', 1)

% Plot solution
postplot(fem,...
	'context','local',...
	'tridata','V',...
	'trifacestyle','interp',...
	'triedgestyle','none',...
	'trimap', 'jet',...
	'trimaxmin','off',...
	'tribar', 'on',...
	'flowdata',{{'Ex','cont','on'},{'Ey','cont','on'}},...
	'flowcolor','cycle',...
	'flowlines',40,...
	'flowback','on',...
	'flownormal','off',...
	'flowquiet','on',...
	'flowstart','centers',...
	'geom',   'on',...
	'geomcol','bginv',...
	'title',  'Surface: electric potential (V)  Flow: [electric field (Ex),electric field (Ey)]  ',...
	'renderer','zbuffer',...
	'solnum', 1)
